Skip to main content
POST
/
open-api
/
v1.1
/
memberships
/
posts
/
videos
Create Video Post
curl --request POST \
  --url https://api.fourthwall.com/open-api/v1.1/memberships/posts/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "attributes": {
    "core": {
      "title": "<string>",
      "description": "<string>",
      "liveAt": "2023-11-07T05:31:56Z",
      "tags": [
        "<string>"
      ]
    },
    "series": [
      {
        "id": 123
      }
    ],
    "mediaUrl": "<string>",
    "countryRestrictions": [
      "<string>"
    ]
  },
  "access": {
    "type": "MembersOnly",
    "tiers": [
      {
        "id": 123
      }
    ]
  },
  "notifications": {
    "enabled": true
  },
  "imageDirectUploadData": {
    "byteSize": 123,
    "checksum": "<string>"
  },
  "subtitlesResourceId": 123
}
'
{
  "type": "Video",
  "action": "Create",
  "postId": 123,
  "imageDirectUploadData": {
    "uploadUrl": "<string>",
    "headers": {
      "content-MD5": "7vJP+O8buKShZwMbdl7wJQ==",
      "content-Disposition": "inline; filename=\"7c8f5486-7841-4890-841f-53a3ebe2b445\"; filename*=UTF-8''7c8f5486-7841-4890-841f-53a3ebe2b445",
      "cache-Control": "public, max-age=2592000"
    },
    "signedId": "<string>"
  },
  "videoDirectUploadData": {
    "uploadUrl": "<string>"
  }
}
OAuth scope: memberships_writeAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-ShopId
string

Body

application/json
attributes
object
required
access
object
required
notifications
object
required
imageDirectUploadData
object
subtitlesResourceId
integer

Response

type
enum<string>
required
Available options:
Video
action
enum<string>
required
Available options:
Create
postId
integer
required
imageDirectUploadData
object
videoDirectUploadData
object